// priority: 0

ServerEvents.recipes((ev) => {
    ev.shaped(Item.of("create:creative_fluid_tank"), [
        "ABC",
        "DEF",
        "GGG",
    ], {
        A: Item.of("alexscaves:resistor_shield"),
        B: Item.of("alexscaves:raygun"),
        C: Item.of("enderio:dark_steel_block"),
        D: Item.of("ballistix:darkmatter"),
        E: Item.of("create:fluid_tank"),
        F: Item.of("ad_astra:calorite_block"),
        G: Item.of("mekanism:pellet_antimatter"),
    });

    ev.shaped(Item.of("createaddition:creative_energy"), [
        "ABC",
        "DEF",
        "GGG",
    ], {
        A: Item.of("alexscaves:resistor_shield"),
        B: Item.of("alexscaves:raygun"),
        C: Item.of("enderio:dark_steel_block"),
        D: Item.of("ballistix:darkmatter"),
        E: Item.of("createaddition:alternator"),
        F: Item.of("ad_astra:calorite_block"),
        G: Item.of("mekanism:pellet_antimatter"),
    });

    ev.shaped(Item.of("pneumaticcraft:creative_compressed_iron_block"), [
        "ABC",
        "DEF",
        "GGG",
    ], {
        A: Item.of("alexscaves:resistor_shield"),
        B: Item.of("alexscaves:raygun"),
        C: Item.of("enderio:dark_steel_block"),
        D: Item.of("ballistix:darkmatter"),
        E: Item.of("pneumaticcraft:compressed_iron_block"),
        F: Item.of("ad_astra:calorite_block"),
        G: Item.of("mekanism:pellet_antimatter"),
    });

    ev.shaped(Item.of("create:creative_blaze_cake"), [
        "ABC",
        "DEF",
        "GGG",
    ], {
        A: Item.of("alexscaves:resistor_shield"),
        B: Item.of("alexscaves:raygun"),
        C: Item.of("enderio:dark_steel_block"),
        D: Item.of("ballistix:darkmatter"),
        E: Item.of("create:blaze_cake"),
        F: Item.of("ad_astra:calorite_block"),
        G: Item.of("mekanism:pellet_antimatter"),
    });

    ev.shaped(Item.of("wands:creative_wand"), [
        "AAA",
        "ABA",
        "AAA",
    ], {
        A: Item.of("gobber2:gobber2_ingot_end"),
        B: Item.of("wands:netherite_wand"),
    });
});
